package cn.com.qmth.examcloud.core.oe.student.api;

import cn.com.qmth.examcloud.api.commons.CloudService;
import cn.com.qmth.examcloud.core.oe.student.api.request.GetExamSessionInfoReq;
import cn.com.qmth.examcloud.core.oe.student.api.request.GetQrCodeReq;
import cn.com.qmth.examcloud.core.oe.student.api.request.GetStudentOnlineExamInfoReq;
import cn.com.qmth.examcloud.core.oe.student.api.response.GetExamSessionInfoResp;
import cn.com.qmth.examcloud.core.oe.student.api.response.GetQrCodeResp;
import cn.com.qmth.examcloud.core.oe.student.api.response.GetStudentOnlineExamInfoResp;

public interface OeStudentExamRecordCloudService extends CloudService{

	void cleanExamRecords() throws InterruptedException;
	/**
	 * 获取二维码
	 * @return
	 */
	GetQrCodeResp getQrCode(GetQrCodeReq req);
	/**
	 * 获取考试会话
	 * @return
	 */
	GetExamSessionInfoResp getExamSessionInfo(GetExamSessionInfoReq req);
	
	/**
	 * 获取学生是否有正在进行的网考信息
	 * @return
	 */
	GetStudentOnlineExamInfoResp getStudentOnLineExamInfo(GetStudentOnlineExamInfoReq req);

	/**
	 * 清理临时作答记录
	 */
	void cleanTempFileAnswers();
}
