package cn.com.qmth.examcloud.core.reports.api.client;

import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.core.reports.api.StudentCountCloudService;
import cn.com.qmth.examcloud.core.reports.api.request.AddOrUpdateStudentCountReq;
import cn.com.qmth.examcloud.core.reports.api.response.AddOrUpdateStudentCountResp;

@Service
public class StudentCountCloudServiceClient extends AbstractCloudClientSupport implements StudentCountCloudService {

	/**
	 * 
	 */
	private static final long serialVersionUID = -668802724350249034L;

	@Override
	public AddOrUpdateStudentCountResp addOrUpdateCount(AddOrUpdateStudentCountReq req) {
		return post("studentCount/addOrUpdateCount", req, AddOrUpdateStudentCountResp.class);
	}
}
